<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.11) on Sat Dec 04 19:21:21 CET 2021 -->
<title>Engine</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2021-12-04">
<link rel="stylesheet" type="text/css" href="../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../script.js"></script>
<script type="text/javascript" src="../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Engine";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Engine.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<div class="subTitle"><span class="packageLabelInType">Package</span>&nbsp;<a href="package-summary.html">qengine.engine</a></div>
<h2 title="Interface Engine" class="title">Interface Engine</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><code><a href="AbstractEngine.html" title="class in qengine.engine">AbstractEngine</a></code>, <code><a href="comparator/AbstractEngineComparator.html" title="class in qengine.engine.comparator">AbstractEngineComparator</a></code>, <code><a href="CustomEngine.html" title="class in qengine.engine">CustomEngine</a></code>, <code><a href="comparator/DefaultEngineComparator.html" title="class in qengine.engine.comparator">DefaultEngineComparator</a></code>, <code><a href="JenaEngine.html" title="class in qengine.engine">JenaEngine</a></code>, <code><a href="RDF4JEngine.html" title="class in qengine.engine">RDF4JEngine</a></code>, <code><a href="comparator/VerboseEngineComparator.html" title="class in qengine.engine.comparator">VerboseEngineComparator</a></code></dd>
</dl>
<hr>
<pre>public interface <span class="typeNameLabel">Engine</span></pre>
<div class="block">Un moteur de requêtes RDF.</div>
<dl>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd>Pierre Romestant, Gabriel Darbord</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#dictSize()">dictSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Retourne la taille de la base de données utilisée par ce moteur.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#indexSize()">indexSize</a></span>()</code></th>
<td class="colLast">
<div class="block">Retourne la taille de l'indexage de la base de données.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nbParsedData()">nbParsedData</a></span>()</code></th>
<td class="colLast">
<div class="block">Retourne le nombre de triplets RDF analysés.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nbProcessedQueries()">nbProcessedQueries</a></span>()</code></th>
<td class="colLast">
<div class="block">Retourne le nombre de requêtes traitées.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#parseData(java.lang.String)">parseData</a></span>&#8203;(java.lang.String&nbsp;dataPath)</code></th>
<td class="colLast">
<div class="block">Récupère et analyse les données au format RDF contenues dans le fichier.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#parseQueries(java.lang.String,java.lang.String)">parseQueries</a></span>&#8203;(java.lang.String&nbsp;queryPath,
            java.lang.String&nbsp;outputPath)</code></th>
<td class="colLast">
<div class="block">Récupère et analyse les requêtes au format RDF contenues dans une
 arborescence de fichiers.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>java.util.Set&lt;?&gt;</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#processQuery(java.lang.String)">processQuery</a></span>&#8203;(java.lang.String&nbsp;queryString)</code></th>
<td class="colLast">
<div class="block">Traitement d'une requête RDF.</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<section role="region">
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="dictSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dictSize</h4>
<pre class="methodSignature">int&nbsp;dictSize()</pre>
<div class="block">Retourne la taille de la base de données utilisée par ce moteur.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la taille de la base de données utilisée par ce moteur</dd>
</dl>
</li>
</ul>
<a id="indexSize()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>indexSize</h4>
<pre class="methodSignature">int&nbsp;indexSize()</pre>
<div class="block">Retourne la taille de l'indexage de la base de données.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>la taille de l'indexage de la base de données</dd>
</dl>
</li>
</ul>
<a id="nbParsedData()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nbParsedData</h4>
<pre class="methodSignature">int&nbsp;nbParsedData()</pre>
<div class="block">Retourne le nombre de triplets RDF analysés.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nombre de triplets RDF analysés</dd>
</dl>
</li>
</ul>
<a id="nbProcessedQueries()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nbProcessedQueries</h4>
<pre class="methodSignature">int&nbsp;nbProcessedQueries()</pre>
<div class="block">Retourne le nombre de requêtes traitées.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le nombre de requêtes traitées</dd>
</dl>
</li>
</ul>
<a id="parseData(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseData</h4>
<pre class="methodSignature">void&nbsp;parseData&#8203;(java.lang.String&nbsp;dataPath)
        throws java.io.IOException</pre>
<div class="block">Récupère et analyse les données au format RDF contenues dans le fichier.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dataPath</code> - le chemin du fichier contenant les données</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a id="parseQueries(java.lang.String,java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>parseQueries</h4>
<pre class="methodSignature">void&nbsp;parseQueries&#8203;(java.lang.String&nbsp;queryPath,
                  java.lang.String&nbsp;outputPath)
           throws java.io.IOException</pre>
<div class="block">Récupère et analyse les requêtes au format RDF contenues dans une
 arborescence de fichiers.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>queryPath</code> - le chemin du fichier ou dossier contenant les requêtes</dd>
<dd><code>outputPath</code> - le chemin du fichier résultat qui sera généré</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a id="processQuery(java.lang.String)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>processQuery</h4>
<pre class="methodSignature">java.util.Set&lt;?&gt;&nbsp;processQuery&#8203;(java.lang.String&nbsp;queryString)</pre>
<div class="block">Traitement d'une requête RDF.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>queryString</code> - la requête à traiter</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>l'ensemble des résultats de la requête</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../index.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Engine.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../index-files/index-1.html">Index</a></li>
<li><a href="../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
